package com.unis.quality.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.dto.OrgainzeDTO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Repository;
import org.springframework.web.bind.annotation.*;

/**
 * 
 * @ClassName: cbl
 *
 * @version v1.0
 */
@FeignClient(name = "cbl-service")
@Component
public interface CblClient {

    /**
     *
     * @Description: 库存查询（公司实物或账面）分页列表
     * @param @param pageNum
     * @param @param pageSize
     * @param @param isCompany
     * @param @param queryVO
     * @param @return 参数
     * @return ResponseWrapper 返回类型
     */
    @PostMapping("/integratedQuery/selectTyLskcxxList")
    public ResponseWrapper selectTyLskcxxList(@RequestParam("sskddm")
                                                      String sskddm,@RequestParam(value = "lspzbm",required = false) String lspzbm); ;
}
