package com.unis.quality.common.constant;

public enum AbnormalStatusConstant {
    //数据库的wtlx   和 推送过去的wtlx
    CaoGao("10", "草稿", "描述")
    , TongZhiDaiGaiZhang("20", "通知待盖章", "描述")
    , TongZhiYiXiaFa("30", "通知已下发", "描述")
    , CuoShiDaiGaiZhang("40", "措施待盖章", "描述")
    , CuoShiYiTiJiao("50", "措施已提交", "承储库已提交")
    , YanShouDaiGaiZhang("60", "验收待盖章", "描述")
    , YanShouYiXiaFa("70", "验收已下发", "描述")
    , YanShouTongGuo("80", "验收通过", "描述")
    , YanShouBuTongGuo("90", "验收不通过", "描述");

    /**
     * 状态值
     */
    private String value;
    /**
     * 显示名称
     */
    private String name;
    /**
     * 描述
     */
    private String desc;

    private AbnormalStatusConstant(String value, String name, String desc) {
        this.value = value;
        this.name = name;
        this.desc = desc;
    }

    public String getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

    public String getDesc() {
        return desc;
    }
}
