package com.unis.quality.common.constant;

/**
 * 
 * @ClassName: Constant
 * @Description: 常量字段定义。
 * @author xmpu
 * @date 2018年11月2日 上午10:24:10
 * 
 * @version v1.0
 */
public class Constant {

	// 复查对比 原粮数量
	public static final String GRAIN_NUM = "1";

	// 复查对比 库存年限
	public static final String INVENTORY_YEARS = "2";

	// 复查对比 安全生产
	public static final String SAFETY_PRODUCTION = "3";

	// 复查对比 检查问题登统
	public static final String CHECK_PROBLEM = "4";

	// 复查对比 列名
	public static final String COLUMN_NAME = "COLUMN_NAME";

	// 复查对比 列注释
	public static final String COMMENTS = "COMMENT";

	// 专家方向 实物
	public static final String PHYSICAL = "10";

	// 专家方向 安全
	public static final String SECURITY = "20";

	// 专家方向 财务
	public static final String FINANCE = "30";

	// 专家方向 质量
	public static final String QUALITY = "40";

	// 通过数量抽取企业次数。
	public static final int EXTRACT_COMP_BY_NUM_COUNT = 100;

	// 企业匹配次数。
	public static final int EXTRACT_COMP_COUNT = 100;

	// 属地规避次数
	public static final int AREA_AVOID_NUM_COUNT = 10;

	// 总随机匹配次数
	public static final int RANDOM_NUM_COUNT = 100;

	// 审批通过的人才
	public static final String REVIEW_PASSED_EXPERT = "40";

	// 人才申请：已推荐待审核
	public static final String EXAMINE = "10";

	// 县级已审定
	public static final String COUNTY_APPROVED = "20";

	// 市级已审定
	public static final String CITY_APPROVED = "30";

	// 已审定
	public static final String ENABLE = "40";

	// 县级已驳回
	public static final String COUNTY_REJECT = "50";

	// 市级已驳回
	public static final String CITY_REJECT = "60";

	// 省级已驳回
	public static final String PROVINCE_REJECT = "70";

	// 人才申请：待提交
	public static final String SUBMIT = "80";

	// 人才申请禁用：已禁用
	public static final String FORBIDDEN = "99";

	// 工作流类型：直接上级审批
	public static final String WF_TYPE_1 = "WF_DEF_ONE";

	// 工作流类型：所有上级审批
	public static final String WF_TYPE_2 = "WF_DEF_TWO";

	// 工作流类型：自底向上审批（县、市、省）
	public static final String WF_TYPE_3 = "WF_DEF_THREE";

	// 微服务调用返回值判定
	public static final Integer INFO_CODE_200 = 200;

	// 上级转办
	public static final String LEADER_TRANSFER = "10";

	// 转办下级
	public static final String TRANSFER_SUBORDINATE = "30";
	// 等待转移
	public static final String WAITING_TRANSFER = "50";
	// 已转办下级
	public static final String TRANSFER_COMPLETE = "60";

	// 反馈归档
	public static final String ARCHIVE = "20";
	// 待反馈归档
	public static final String WAITING_ARCHIVE = "70";
	// 已反馈归档
	public static final String HAS_ARCHIVED = "80";
	// 待上级报请
	public static final String DIDNT_REPORT = "90";
	// 已上级报请
	public static final String HAVE_REPORT = "100";

	// 群众举报
	public static final String REPORT = "20";
	// 例行检查
	public static final String TIPSTAFF = "30";
	// 其他部门移交
	public static final String TRANSFER = "40";
	// 下级报请
	public static final String SUBORDINATE = "50";
	// 其他方式披露
	public static final String OTHER_WAYS = "60";
	// 上级转办（状态）
	public static final String TRANSFER_ONE = "1";
	// 下级报请（状态）
	public static final String TRANSFER_TWO = "2";

	// ----------------------------[处理情况]----------------------------------

	// 不限
	public static final String UNLIMITED = "0";
	// 立案
	public static final String SET_CASE = "10";
	// 不立案
	public static final String NOT_CASE = "20";
	// 报请上级
	public static final String LEADER = "40";

	// 立案 执法使用
	public static final String DEL_SET_CASE = "60";
	// 不立案 执法使用
	public static final String DEL_NOT_CASE = "70";

	// ----------------------------[处理建议]----------------------------------

	// 提交立案审核
	public static final String CASE_REVIEW = "10";
	// 反馈归档
	public static final String FEEDBACK_FILING = "20";
	// 转办下级
	public static final String TRANSFER_LOWER = "30";

	// 县级复查
	public static final String XIAN = "30";

	/**
	 * 省标识
	 */
	public static final String PROVINCE = "140000";

	/**
	 * 省标识
	 */
	public static final String PROVINCE1 = "10";

	/**
	 * 市标识
	 */
	public static final String CITY = "20";
	/**
	 * 县标识
	 */
	public static final String COUNTRY = "30";
	/**
	 * 省
	 */
	public static final String PROVINCE_CODE = "0000";
	/**
	 * 市
	 */
	public static final String CITY_CODE = "00";
	/**
	 * 2017年云南省企业自查库存总量（万斤） 2097506吨=419501 万斤（1吨=0.2万斤）
	 */
	public static final String TOTAL_INVENTORY_COMPANY = "419501";

	public static final int TONS_AND_TEN_THOUSAND_JIN_CONVERSION = 5;
	/**
	 * 更新数据库结果
	 */
	public static final int UPDATE_RESULT = 1;
	/**
	 * 结果长度
	 */
	public static final int RESULT_LENGTH = 0;
	/**
	 * 成功代码
	 */
	public static final int SUCCESS_CODE = 200;
	/**
	 * 上报类型--10未上报
	 */
	public static final String REPORT_TYPE_NO = "10";
	/**
	 * 上报类型--20已上报
	 */
	public static final String REPORT_TYPE_YET = "20";
	
	/**
	 * 上报状态
	 */
	public static final String STATE_ONE = "1";
	/**
	 * 粮油质量检验中心
	 */
	public static final String ZJZX = "粮油质量检验中心";
	
	/**
	 * 内部部门
	 */
	public static final String LSJ = "内设部门";



	// ***********************************************
	// 标准分类
	public static final String TYPE = "7742";
	// 等级
	public static final String GRADE = "8033";
	//判断规则
	public static final String RULE  = "8034";
	//检验类别
	public static final String CHECK_TYPE  = "8032";
	//性别
	public static final String STAFFGENDER = "7681";
	//学历
	public static final String  STAFFEDUCATION ="7682";
	//民族
	public static final String  STAFFNATION ="7674";
	//设备状态
	public static final String  EQUIPMENTSTATU ="8036";
	//检测周期
	public static final String  DETECTIONCYCLE ="8037";
	//职称
	public static final String  STAFFTITLE ="8040";
	// ***********************************************

	public static final String  COMPANY_TYPE ="43449";


	//没有id只能通过名字对应,而且名字还不完全对应.........................
    public static final String  AbnormalItem =",水分,水分总量,杂质,杂质总量,不完善粒,不完善粒总量,";
	//要替换的内容
	public static final String  AbnormalItemExt ="总量";
	public static final String  QiangJian =",春季,秋季,";
}
