package com.unis.quality.common.constant;

/**
 * 
 * @ClassName: DictConstant 
 * @Description:  字典常量字段定义 
 * @author huangshuai
 * @date 2018年11月17日 下午2:25:34 
 * 
 * @version v1.0
 */
public class DictConstant {
	
	//检查事项/分类group_id
	public static final String CHECK_ITEMS = "8002";
	
	//发现问题 /违法行为/举报分类
	public static final String FOUND_PROBLEM = "8001";
	
	//处理情况
	public static final String DEAL_WITH = "8003";
	
	//罚款原因
	public static final String FINES_CAUSE = "8026";
	
	//案件来源
	public static final String SOURCE_CASE = "8005";
	
	//转办上级，转办下级，反馈归档
	public static final String ADVICE = "8008";
	
	//是否立案
	public static final String FILING = "8006";
	
	//性别7681
	public static final String SEX = "7681";
	
	//举报（处理情况）
	public static final String  DEL = "8010";
	
	//举报方式
	public static final String  REPORTWAY = "8000";
	
	//上级转办 立案状态（立案、不立案、未处理 待转办 已转办 ）
	public static final String   LEADERFILING= "8027";
	
	//上级转办处理情况（默认值  30）
	public static final String DONTDEALWITH = "30";
	
	//举报的未审核（默认值）/执法（立案状态）
	public static final String  SH = "40";
	
	//执法的处理情况默认值
	public static final String  CHL = "10";
	
	//给性别默认值(女)CASEDEAL
	public static final String  SHI = "10";
	
	public static final String  CASEDEAL = "30";
	
	//其他部门移交
	public static final String OTHER_TRANSFER = "40";
	
	//其他部门移交
	public static final String OTHER_DISCLOSURE = "60";
	
	// 企业类型
	public static final String  COMPANY_TYPE = "8009";
	
	// 市的行政区划字典code
	public static final String CITYC_CODE = "AREA_CODE";
	
	// 专家字典code
	public static final String EXPERT_CODE = "8004";
	
	// 复查结果上报状态
	public static final String  CHK_RSLT_SUB_STS = "CHK_RSLT_SUB_STS";
	
	// 人才审核状态
	public static final String  EXP_REV_SUB_STS = "EXP_REV_SUB_STS";
	
	//行政区划数据字典名
	public static final String AREA_CODE = "AREA_CODE";

	//企业性质数据字典名
	public static final String COMPANY_NATURE = "43321";

	//流程任务类型数据字典名
	public static final String WORK_FLOW_CODE = "WF_TASK_TYPE";
	//执法示范单位申请审批流程数据字典CODE
	public static final String WORK_FLOW_LAW = "LAW_ENFORCEMENT_TASK_TYPE";

    //控制审批按钮
    public static final String WORK_FLOW_CURRCODE = "currNodeLevel";
	public static final String WORK_FLOW_CURRFLOW = "currFlowStatus";
    ///显示审批状态
    public static final String WORK_FLOW_LASTNODE = "lastNodeLevel";
	public static final String WORK_FLOW_LASTAPP = "lastApproval";
	
	// 12325管理员
	public static final String MANAGER_12325 = "MANAGER";
	
	//收购资格管理申请表状态
	public static final String ACQUISTION_CODE = "8893";
	
	//学历7682
	public static final String EDUCATION="7682";
	
	//民族7674
	public static final String NATIONALITY="7674";
	
	//职位7688
	public static final String POSITION="7688";

	//粮食等级7672
	public static final String  GRADE="7672";

	//企业层级（性质）43339
	public static final String  NATURE="43339";

	//成交类型43467
	public static final String  TRANSACTIONTYPE="43467";

	//粮食品种43465
	public static final String  VARIETYNAME="43465";

	//粮食局
	public static final String  GRAIN_ORG="43466";
}
