package com.unis.quality.common.dto;


import java.util.Map;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-库存粮食质量检测品登统表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@Getter
@Setter
@ToString
public class FoodStockDTO {
	 
	private String id;
	//登统表id
	private String foodStockId;
	
	//样品编号
	private String sampleNumber;
	
	//扦样处所（仓库或堆垛号码）
	private String warehouse;
	
	//储粮性质
	private String nature;
	
	//代表数量（吨）
	private String behalfNumber;
	
	//入库等级
	private String storageGrade;
	
	//产地
	private String placeOrigin;
	
	//收获年度
	private String years;
	
	//入库时间
	private String storageTime;
	
	//包装或散装
	private String packagingOrBulkPacking;
	
	
	//当地安全储存水分
	private String localSafeStorageOfWater;
	
	//粮温
	private String grainTemperature;
	
	//使用的储粮技术
	private String storageTechnology;
	
	//备注
	private String remarks;

	// 样品信息登统人员
	private String registrar;
	
	//流程id
	private String processId;
	
	//状态名称
	private String stateName;
	
	//审核意见
	private String auditOpinions;
		
	
	// 计划文件名称
	private String planFileName;
	
	// 检验结果上报 1库存粮食质量检测品登统表 2 检验结果等级表
	private String type;
	
	// 盟市
	private String city;
  
	// 填报单位
	private String fillingUnit;
  
	// 填报日期
	private String fillingDate;

	//审核结果
	private String findingsAudit;
	
	//行政区划
	private String areaCode;
	
	//样品名称
	private String varieties;
	
	//检查库点
	private String checkLibraryPoints;
	
	//计划id
	private String planId;
	
	//参数
	private String condition1;
	
	//参数
	private String condition2;
	
	//参数
    private String condition;
    
    //参数
    private String condition3;
    
    //质检档案
    private String zjda;
    
	//状态
	private String state;
	
	//状态省粮食局
  	private String slsjState;
  	//意见省粮食局
  	private String slsjMessage;
  	//状态省质检中心
  	private String szjzxState;
  	//意见省质检中心
  	private String szjzxMessage;
  	
  	//状态市粮食局
  	private String shlsjState;
  	//意见市粮食局
  	private String shlsjMessage;
  	//状态市质检中心
  	private String shzjzxState;
  	//意见市质检中心
  	private String shzjzxMessage;
  	
  	//状态县粮食局
  	private String xlsjState;
  	//意见县粮食局
  	private String xlsjMessage;
  	
	//批次
  	private String batch;
  	
  	private Map<String, Object> aduitList;
  	
  	private String[] ids;
  	
  	private String deptName;
	
}
