package com.unis.quality.common.dto;

import com.unis.common.utils.UUIDUtils;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName ViewSituation
 * @Description 采样方案——查看情况
 * @Author ldq
 * @Date 2019年8月20日17:57:40
 * @Version 0.0.1
 **/
@Getter
@Setter
@ToString
@ApiModel(value = "采样地Model")
public class ViewSituationDTO {
	
    private String id = UUIDUtils.uuid();
	
	// 抽样方案ID
	private String ccfaId;
	
	// 行政区划编码
	private String xzqhbm;
	
	// 行政区划名称
	private String xzqhmc;
	
	// 查看时间
	private String cksj;

	// 查看人
	private String ckr;
	
	// 查看状态 默认 0 未查看  1已查看
	private Integer ckzt;

}
