package com.unis.quality.common.enums;

import org.apache.commons.lang.StringUtils;

import lombok.Getter;

@Getter
public enum BaseServerEduEnum {
//	40：高中，41：中专，42：大专，43：本科，44：研究生，45：博士，46：博士后
    EDU_GZ("40", "高中"),
    EDU_ZZ("41", "中专"),
    EDU_DZ("42", "大专"),
    EDU_ZK("43", "本科"),
    EDU_YJS("44", "研究生"),
    EDU_BS("45", "博士"),
    EDU_BSH("46", "博士后")
    ;

    private String code;
    private String name;

    BaseServerEduEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static String getNameByCode(String vname){
    	if(StringUtils.isEmpty(vname)) {
    		return null;
    	}
        for(BaseServerEduEnum status : values()){
            if (status.getCode().equals(vname)) {
                return status.getName();
            }
        }
        return null;
    }

    //cehsi
    public static void main(String[] args) {
		System.out.println(getNameByCode("44"));
	}
}