package com.unis.quality.common.utils;

/**
 * @author by PIG
 * 2023/11/23 16
 */
public class ResponseWrapperSmart<T> {

    private StatusEnum status;
    private Integer infoCode;
    private String msg;
    private T data;

    public ResponseWrapperSmart() {
    }

    public StatusEnum getStatus() {
        return status;
    }

    public Integer getInfoCode() {
        return infoCode;
    }

    public String getMsg() {
        return msg;
    }

    public T getData() {
        return data;
    }
    public boolean isSuccess() {
        return this.infoCode == 200;
    }
    public static enum StatusEnum {
        SUCCESS,
        ERROR;

        private StatusEnum() {
        }
    }
}
