package com.unis.quality.common.vo;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-库存粮食质量检测品登统表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@Getter
@Setter
@ToString
public class FoodStockItemsVO {
	// id
	private String  id;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
	    
    //登统表id
    private String foodStockId;
    
	//样品编号
	private String sampleNumber;
	
	//检查库点
	private String checkLibraryPoints;
	
	//扦样处所（仓库或堆垛号码）
	private String warehouse;
	
	//储粮性质
	private String nature;
	
	//样品名称
	private String varieties;
	
	//代表数量（吨）
	private Integer behalfNumber;
	
	//入库等级
	private String storageGrade;
	
	//产地
	private String placeOrigin;
	
	//收获年度
	private String years;
	
	//入库时间
	private String storageTime;
	
	//包装或散装
	private String packagingOrBulkPacking;
	
	
	//当地安全储存水分
	private String localSafeStorageOfWater;
	
	//粮温
	private String grainTemperature;
	
	//使用的储粮技术
	private String storageTechnology;
	
	//备注
	private String remarks;
	//批次
  	private String batch;
	
}
