package com.unis.quality.common.vo;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-检验结果等级表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@Getter
@Setter
@ToString
public class GradeTestResultsItemsVO {
	// id
	private String  id;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
	
	// 登记表ID
	private String gradeTestResultsId;
	
	// 库存粮食质量检测品登统表ID
	private String foodStockId;
	
	//类型
	private String type;
		
	//样品编号
	private String sampleNumber;
	
	//检查库点
	private String checkLibraryPoints;
	
	//扦样处所（仓库或堆垛号码）
	private String warehouse;
	
	//储粮性质
	private String nature;
	
	//样品名称
	private String varieties;
	
	//代表数量（吨）
	private String behalfNumber;
	
	//入库等级
	private String storageGrade;
	
	//产地
	private String placeOrigin;
	
	//收获年度
	private String years;
	
	//入库时间
	private String storageTime;
	
	// 水分
	private Integer waterContent;
	
	//杂质
	private String impurity;
	
	//不完善粒
	private String imperfectGrain;
	
	//容重
	private String bulkDensity;
	
	//色泽气味
	private String colourSmell;
	
	//生霉粒
	private String moldyKernel;
	
	//品尝评分值
	private String tasteScore;
	
	//脂肪酸值
	private String fattyAcidValue;
	
	//检验等级
	private String inspectionGrade;
	
	//结果判定
	private String resultJudgment;
	
	//完整率粒
	private String integrityRateGranule;
	
	
	//损伤率粒
	private String damageRateGranule;
	
	//出糙率
	private String roughness;
	
	//谷外糙米
	private String brownRice;
	
	//整精米率
	private String headRiceRate;
	
	//互混率
	private String mixingRate;
	
	//黄粒米
	private String yellowGrainedRice;
	
	//脂肪酸值-储存品质
	private String fattyAcidValueStorage;
	
	//粘度
	private String viscosity;
	
	//品尝评分值-储存品质
	private String tasteScoreStorage;
	
	//色泽气味-储存品质
	private String colourSmellStorage;
	
	//结果判定-储存品质
	private String resultJudgmentStorage;
	
	//面筋吸水量
	private String glutenWaterAbsorption;
	
	//蛋白质溶解比较率
	private String proteinSolubilityRatio;
	//批次
  	private String batch;
}
