package com.unis.quality.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 *功能描述 仓号查询对象
 * @author wangqiang
 * @date 2019/8/21 0021
 */
@ApiModel(description = "GranaryQueryVO仓号查询对象查询对象，用于和前台交互")
@Getter
@Setter
@ToString
public class GranaryQueryVO {

	@ApiModelProperty(value = "单位名称")
	private String  wtbh;

	@ApiModelProperty(value = "品种")
	private Date startTime;

	@ApiModelProperty(value = "仓号")
    private Date endTime;

}
