package com.unis.quality.common.vo;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 机构信息
 * @author lifx
 * @data 2019年7月8日15:19:08
 */
@Getter
@Setter
@ToString
public class OrganizationVO{
	
	// 机构ID
	private String id;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
	
    // 机构名称
 	private String organizationName;
 	
 	// 机构类别
 	private String institutionalCategories;

 	// 所属地区
 	private String[] affiliatingArea;
 	
    // 所属地区
  	private String affiliatingArea1;
 	 
 	// 详细地址
 	private String detailedAddress;
 	 
 	// 注册时间
 	private String registrationTime;

 	// 组织机构代码
 	private String organizationCode;

 	// 法定代表人
 	private String legalRepresentative;
 	
 	// 联系电话
 	private String phone;
   
 	// 员工人数
 	private String employeesNumber;
   
 	// 设备数量
 	private String equipmentNumber;

 	// 办公及实验室面积（㎡）
 	private String laboratoryArea;
 	
 	//是否通过计量认证
 	private String metrologicalAuthentication;
 	
 	//是否为国家粮食质量监测机构
 	private String monitoringBodies;
 	
 	private String[] ids;
 	
	/**==============天津机构===========**/
	// 机构性质
	private String institutional;
	
	// 所属单位
	private String unit;

	// 经费来源
	private String fundSources;
	
	// 职责权限
	private String remit;
  
	// 单位地址
	private String unitAddress;
  
	// 联系人
	private String linkMan;

	// 联系方式
	private String contactInformation;
	
}
