package com.unis.quality.common.vo;

import com.github.pagehelper.Page;
import com.unis.common.vo.base.PageResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

/**
 * 扩展 PageResult
 * @author by PIG
 * 2023/10/10 14
 * @see PageResult
 */
@ApiModel("")
public class PageResult2<T> extends PageResult<T> {

    @Getter
    @Setter
    private Map<String, Object> otherData;

    public PageResult2(Page<T> list) {
        new PageResult<T>(list);
    }
}
