package com.unis.quality.common.vo;

import java.util.Date;
import java.util.Map;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 机构人员管理
 * @author lifx
 * @data 2019年7月8日15:19:08
 */
@Getter
@Setter
@ToString
public class PersonnelManagementVO {

	// id
	private String  id;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
	
	// 机构ID
	private String organizationId;
  
	// 姓名
	private String name;
	
	// 性别
	private String sex;

	// 学历
	private String education;

	// 职称
	private String technical;

	// 工作年限
	private String workingSeniority;

	// 联系方式
	private String phone;
	
	private Map<String, Object> personnelManagementVOlist;
	
	private String[] ids;
	
	/**======天津人员=======**/
	//民族
	private String nation;
	
	//工作单位
	private String unit;
	
	//身份证号码
	private String idCard;
	
	//职业等级
	private String vocationalGrade;
	
	// 出生年月
	private String birthday;
	
	/**======安全生产=======**/
	//分工
	private String divide;
}
