package com.unis.quality.common.vo;

import java.util.Date;
import java.util.Map;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 品质测报-结果审核
 * @author lifx
 * @data 2019年7月10日10:06:08
 */
@Getter
@Setter
@ToString
public class QualityPredictionAduitVO{
	
	// id
	private String  id;
	//计划id
	private String planId;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
    
	// 计划类型
	private String planType;
	
	// 计划文件名称
	private String planFileName;

	// 盟市
	private String city;
  
	// 承储企业名称
	private String companyName;
  
	// 扦样机构
	private String migrationAgencies;

	// 扦样日期
	private String migrationDate;
	
	//扦样货位号
	private String relocationNumber;
	
	//粮食性质
	private String natureFood;
	
	//品种
	private String varieties;
	
	//样品编号
	private String sampleNumber;
	
	//代表数量
	private String numberRepresentatives;
	
	//收获年度
	private String years;
	
	//产地
	private String placeOrigin;
	
	//审核人
	private String reviewer;
	
	//审核意见
	private String auditOpinion;
	
	//审核结果
	private String findingsAudit;
	
	//附件
	private String attachments;
	
	//流程id
	private String processId;
	
	//状态名称
	private String stateName;
	
	//质检档案管理
	private String zjda;
	
	//状态
	private String state;
	
	//状态省粮食局
  	private String slsjState;
  	//意见省粮食局
  	private String slsjMessage;
  	//状态省质检中心
  	private String szjzxState;
  	//意见省质检中心
  	private String szjzxMessage;
  	
  	//状态市粮食局
  	private String shlsjState;
  	//意见市粮食局
  	private String shlsjMessage;
  	//状态市质检中心
  	private String shzjzxState;
  	//意见市质检中心
  	private String shzjzxMessage;
  	
  	//状态县粮食局
  	private String xlsjState;
  	//意见县粮食局
  	private String xlsjMessage;
	//批次
  	private String batch;
  	
  	private Map<String, Object> aduitList;
  	
  	private String[] ids;
}
