package com.unis.quality.common.vo;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 品质测报-计划下发
 * @author lifx
 * @data 2019年7月10日10:06:08
 */
@Getter
@Setter
@ToString
public class QualityPredictionPlannedVO{
	
	// id
	private String  id;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
    
	// 计划类型  1--新收获粮品质测报   2--库存安全检测
	private String planType;
	
	// 计划文件名称
	private String planFileName;

	// 附件
	private String distributionAttachments;
	
	// 附件id
	private String attachmentsId;
	 
	// 计划下达时间
	private String scheduledReleaseTime;
	
	// 计划下达时间to
	private String scheduledReleaseTimeTo;

	// 状态   省未下发：0  省已下发：1  市未下发：1  市已下发：2  县未下发：2  县已下发：3
	private String downwardState;
	
	//流程id
	private String processId;
	
	//状态名称
	private String stateName;
	
	//质检档案管理
	private String zjda;
	
	//计划类型名称
	private String planTypeName;
	
	private String[] ids;
	
}
