package com.unis.quality.common.vo;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-质量不达标样品汇总表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@Getter
@Setter
@ToString
public class SummarySubstandardSampleVO {
	
	// id
	private String  id;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
	
	// 计划文件名称
	private String planFileName;
	
	// 计划id
	private String planId;

	// 检验结果上报 2、质量不达标样品汇总表
	private String type;
	
	// 盟市
	private String city;
  
	// 填报单位
	private String fillingUnit;
  
	// 库点名称
	private String libraryPointName;

	// 扦样处所
	private String warehouse;
	// 样品编号
	private String sampleNumber;
	// 代表数量
	private String representativesNumber;
	// 储粮性质
	private String nature;
	// 品种
	private String varieties;
	// 产地/生产厂家
	private String placeOrigin;
	// 收获年限
	private String harvestLife;
	// 入库时间
	private String storageTime;
	// 不达标项目
	private String unqualifiedItems;
	// 检测值
	private String detectionValue;
	
	//流程id
	private String processId;
	
	//状态名称
	private String stateName;
	
	//审核意见
	private String auditOpinions;
	
	//审核结果
	private String findingsAudit;
	//批次
  	private String batch;
}
