package com.unis.quality.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: GudgeRulesBO 
 * @Description: 判断规则 
 * @date 2019年7月17日 下午2:50:07 
 * 
 * @version v1.0
 */
@Data
@ApiModel("检验流程管理---检验流程管理---判断规则")
public class TbCheckstandardItemlevelVO {

	//id规则
	@ApiModelProperty(value="id规则")	
	private String levelId;
	/**
	 * 检测项目id
	 */
	@ApiModelProperty(value="检测项目id")	
	private String itemId;
	
	/**
	 * 检测标准id
	 */
	@ApiModelProperty(value="检测标准id")	
	private String checkstandardId;
	
	/**
	 * 等级code
	 */
	@ApiModelProperty(value="等级code")	
	private String grade;
	/**
	 * 等级文字
	 */
	@ApiModelProperty(value="等级文字")	
	private String gradeHz;
	
	/**
	 * 判断规则 
	 */
	@ApiModelProperty(value="判断规则 ")	
	private String rule;
	/**
	 * 判断规则文字
	 */
	@ApiModelProperty(value="判断规则文字")	
	private String ruleHz;
	
	/**
	 * 判断值
	 */
	@ApiModelProperty(value="判断值")	
	private String judgeValue;
	
}
