package com.unis.quality.common.vo.backlog;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 * @Description：待办新增VO
 * @author：王帅
 * @date: 2020年1月7日 下午4:20:45
 */
@Data
@ApiModel(value = "BaseBacklogVO（待办后加字段）")
public class BaseBacklogVO implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "跳转详情参数")
	private String itemQuery; // 跳转详情参数

	@ApiModelProperty(value = "查询字段")
	private String itemQueryHaveDone;
	
	@ApiModelProperty(value = "查询字段")
	private String itemUrlHaveDone;
	
}
