package com.unis.quality.common.vo.tianjin;

import com.unis.base.common.vo.TyZjxxzbQueryVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 质检信息主表实体类
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("质检信息主表查询业务类")
public class TyZjxxzbAbnormalQueryVO{

	@ApiModelProperty(value = "委托编号", notes ="委托编号", required = false)
	@Column(name = "WTBH")
	private String wtbh;

	@ApiModelProperty(value = "委托单位名称", notes ="委托单位名称", required = false)
	@Column(name = "WTDWMC")
	private String wtdwmc;

	@ApiModelProperty(value = "数据异常状态")
	@Column(name = "SJYCZT")
	private Integer sjyczt;

	@ApiModelProperty(value = "数据状态")
	@Column(name = "status")
	private Integer status;

	@ApiModelProperty(value = "时间戳")
	@Column(name = "DATASTAMP")
	private Long datastamp;




	public TyZjxxzbAbnormalQueryVO() {
    }
}
