package com.unis.quality.server.dao;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.Page;
import com.unis.quality.common.vo.EntrustInspectApplyVO;
import com.unis.quality.server.entity.quality.EntrustInspectApplyDO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import tk.mybatis.mapper.common.Mapper;

import java.util.Map;

/**
 * @author by PIG
 * 2023/10/7 16
 */
public interface EntrustInspectApplyDao extends Mapper<EntrustInspectApplyDO> {

    @Select(value = "select seq_entrust_inspect_apply.nextval from dual")
    Long selectKey();

    Page<EntrustInspectApplyVO> listByParams(JSONObject queryParams);

    int removeByFid(Long fid);

    Map<String, String> getSubType(@Param("subTypeDetailed") String subTypeDetailed);

    String getSubTypeByAppluNumber(@Param("applyNumber") String applyNumber);
}
