package com.unis.quality.server.dao;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.Page;
import com.unis.quality.common.vo.QualityOpinionInVO;
import com.unis.quality.server.entity.quality.QualityOpinionInDO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

/**
 * @author by PIG
 * 2023/10/26 11
 */
public interface QualityOpinionInDao extends Mapper<QualityOpinionInDO> {

    Page<QualityOpinionInVO> listDataByParams(JSONObject queryParams);

    int removeOldData(@Param("ysbgbh") String ysbgbh);

    QualityOpinionInVO selectInOpinionByYsbgbh(String ysbgbh);
}
