/*
 * AbnormalDetailDO.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-05-14 19:31:14 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.entity.abnormal;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.entity.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * TY_YCQKZGTZMX
 * @author lipenghe with LAPTOP-IJQ2SDFV at 2020-05-14 19:31:14
 */
@ApiModel(value = "TY_YCQKZGTZMX:异常情况整改通知明细")
@Data
@Table(name="TY_YCQKZGTZMX")
public class AbnormalDetailDO extends BaseDO {
    @ApiModelProperty(value = "异常情况明细id#<主键><唯一><非空>", notes ="异常情况明细id")
    @Id
    @Column(name="YCQKMXID")
    private String ycqkmxid;

    @ApiModelProperty(value = "异常情况id#<非空>", notes ="异常情况id")
    @Column(name="YCQKID")
    private String ycqkid;

    @ApiModelProperty(value = "仓号#<非空>", notes ="仓号")
    @Column(name="CH")
    private String ch;

    @ApiModelProperty(value = "样品号#<非空>", notes ="样品号")
    @Column(name="QYDBH")
    private String qydbh;

    @ApiModelProperty(value = "品种名称#<非空>", notes ="品种名称")
    @Column(name="PZ")
    private String pz;

    @ApiModelProperty(value = "水分", notes ="水分")
    @Column(name="SF")
    private String sf;

    @ApiModelProperty(value = "杂质", notes ="杂质")
    @Column(name="ZZ")
    private String zz;

    @ApiModelProperty(value = "不完善粒", notes ="不完善粒")
    @Column(name="BWSL")
    private String bwsl;

    @ApiModelProperty(value = "整改时间", notes ="整改时间")
    @Column(name="ZGSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date zgsj;

    @ApiModelProperty(value = "整改措施", notes ="整改措施")
    @Column(name="ZGCS")
    private String zgcs;

    public AbnormalDetailDO() {
        super();
    }
}