package com.unis.quality.server.entity.quality;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.quality.server.entity.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Table;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 *功能描述 委托 对象
 * @author wangqiang
 * @date 2019/8/21 0021
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "WT")
public class EntrustDO extends BaseEntity {
	private String id;

	private String createBy;

	private String updateBy;

	private String deleteBy;

	private Date deleteTime;

	private String wtbh;

	private String wtbt;

	private String zjbh;

	private String wtlxbm;

	private String wtlx;

	private String nd;

	private String wtr;

    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
	private Date wtsj;

	private Date fqsj;

	private Date jssj;

	private String ccdw;

	private String wtnr;

	private String fjid;

	private String lcid;

	private String areaCode;

	private String orgId;

	private String deptId;

	private String jybh;
	private String wtdw;
	
	private String pz;
	
	private String sl;
	private String ch;
	
	private String rksj;


	@ApiModelProperty(value = "所属仓房编码")
	private String sscfbm;

	@ApiModelProperty(value = "所属仓房编号")
	private String sscfbh;
}
