package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-库存粮食质量检测品登统表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_FOOD_STOCK")
public class FoodStockDO extends BaseEntity {
	
	// 计划文件名称
	@Column(name = "PLAN_FILE_NAME")
	private String planFileName;
	
	// 计划id
	@Column(name = "PLAN_ID")
	private String planId;

	
	// 检验结果上报 1库存粮食质量检测品登统表 2 检验结果等级表
	@Column(name = "TYPE")
	private String type;
	
	// 盟市
	@Column(name = "CITY")
	private String city;
  
	// 填报单位
	@Column(name = "FILLING_UNIT")
	private String fillingUnit;
  
	// 填报日期
	@Column(name = "FILLING_DATE")
	private String fillingDate;

	// 样品信息登统人员
	@Column(name = "REGISTRAR")
	private String registrar;
	
	//流程id
	@Column(name = "PROCESS_ID")
	private String processId;
	
	//状态名称
	@Column(name = "STATE_NAME")
	private String stateName;
	
	//审核意见
	@Column(name = "AUDIT_OPINIONS")
	private String auditOpinions;
	
	//审核结果
	@Column(name = "FINDINGS_AUDIT")
	private String findingsAudit;
	
	//状态
	@Column(name = "STATE")
	private String state;
	

	//状态省粮食局
	@Column(name = "SLSJ_STATE")
	private String slsjState;
	//意见省粮食局
	@Column(name = "SLSJ_MESSAGE")
	private String slsjMessage;
	//状态省质检中心
	@Column(name = "SZJZX_STATE")
	private String szjzxState;
	//意见省质检中心
	@Column(name = "SZJZX_MESSAGE")
	private String szjzxMessage;
	
	//状态市粮食局
	@Column(name = "SHLSJ_STATE")
	private String shlsjState;
	//意见市粮食局
	@Column(name = "SHLSJ_MESSAGE")
	private String shlsjMessage;
	//状态市质检中心
	@Column(name = "SHZJZX_STATE")
	private String shzjzxState;
	//意见市质检中心
	@Column(name = "SHZJZX_MESSAGE")
	private String shzjzxMessage;
	
	//状态县粮食局
	@Column(name = "XLSJ_STATE")
	private String xlsjState;
	//意见县粮食局
	@Column(name = "XLSJ_MESSAGE")
	private String xlsjMessage;
	//批次
	@Column(name = "BATCH")
	private String batch;
}
