package com.unis.quality.server.entity.quality;


import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.server.entity.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 放心粮油企业
 * @author lifx
 * @data 2019年7月8日14:55:25
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "FXLYQY")
public class FxlyCompanyDO extends BaseEntity {

	// 企业名称
	@Column(name = "QYMC")
	private String qymc;
  
	//类型
	@Column(name = "LX")
	private String lx;
	
	//企业信用代码
	@Column(name = "QYXYDM")
	private String qyxydm;
	
	//产品
	@Column(name = "CP")
	private String cp;
	
	// 联系人
	@Column(name = "LXR")
	private String lxr;
	
	// 联系方式
	@Column(name = "LXFS")
	private String lxfs;
	
	// 状态
	@Column(name = "ZT")
	private String zt;

	// 状态
	private String ztmc;
		
	// 备注
	@Column(name = "BZ")
	private String bz;

	//地址
	@Column(name = "DZ")
	private String dz;
	
	@ApiModelProperty(value="负责人")
	private String fzr;
	
	@ApiModelProperty(value="负责人电话")
	private String fzrdh;
	
	
}
