package com.unis.quality.server.entity.quality;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.common.constant.DataReceiveConstant;
import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 机构人员管理
 * @author lifx
 * @data 2019年7月8日14:46:04
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_PERSONNEL_MANAGEMENT")
public class PersonnelManagementDO extends BaseEntity {

	// 机构ID
	@Column(name = "ORGANIZATION_ID")
	private String organizationId;
  
	// 姓名
	@Column(name = "NAME")
	private String name;
	
	// 性别
	@Column(name = "SEX")
	private String sex;

	// 学历
	@Column(name = "EDUCATION")
	private String education;

	// 职称
	@Column(name = "TECHNICAL")
	private String technical;

	// 工作年限
	@Column(name = "WORKING_SENIORITY")
	private String workingSeniority;

	// 联系方式
	@Column(name = "PHONE")
	private String phone;

	/**======天津=======**/
	//民族
	@Column(name = "NATION")
	private String nation;
	
	//工作单位
	@Column(name = "UNIT")
	private String unit;
	
	//身份证号码
	@Column(name = "ID_CARD")
	private String idCard;
	
	//职业等级
	@Column(name = "VOCATIONAL_GRADE")
	private String vocationalGrade;
	
	// 出生年月
	@Column(name = "BIRTHDAY")
	private String birthday;
	
	/**======安全生产=======**/
	//分工
	@Column(name = "DIVIDE")
	private String divide;
	
	
	public void buildKjPush() {
		this.setCreateBy(DataReceiveConstant.KJTS);
		this.setCreateTime(new Date());
	}
}
