package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 品质测报-计划下发
 * @author lifx
 * @data 2019年7月10日10:06:08
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_QUALITY_PREDICTION_PLANNED")
public class QualityPredictionPlannedDO extends BaseEntity {
	
	// 计划类型
	@Column(name = "PLAN_TYPE")
	private String planType;
	
	// 计划文件名称
	@Column(name = "PLAN_FILE_NAME")
	private String planFileName;

	// 附件
	@Column(name = "DISTRIBUTION_ATTACHMENTS")
	private String distributionAttachments;
	
	// 附件id
	@Column(name = "ATTACHMENTS_ID")
	private String attachmentsId;

	// 计划下达时间
	@Column(name = "SCHEDULED_RELEASE_TIME")
	private String scheduledReleaseTime;

	// 状态
	@Column(name = "DOWNWARD_STATE")
	private String downwardState;
	
	
	//流程id
	@Column(name = "PROCESS_ID")
	private String processId;
	
}
