package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-储存品质不宜存样品汇总表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_SUMMARY_NOT_SUITABLE")
public class SummaryNotSuitableDO extends BaseEntity {
	
	// 计划文件名称
	@Column(name = "PLAN_FILE_NAME")
	private String planFileName;
	
	// 计划id
	@Column(name = "PLAN_ID")
	private String planId;

	
	// 检验结果上报 6、储存品质不宜存样品汇总表
	@Column(name = "TYPE")
	private String type;
	
	// 盟市
	@Column(name = "CITY")
	private String city;
  
	// 填报单位
	@Column(name = "FILLING_UNIT")
	private String fillingUnit;
  
	// 检查库点名称
	@Column(name = "CHECK_LIBRARY_POINTS")
	private String checkLibraryPoints;

	// 扦样处所
	@Column(name = "WAREHOUSE")
	private String warehouse;
	
	// 粮食性质
	@Column(name = "FOOD_NATURE")
	private String foodNature;
	
	// 样品名称
	@Column(name = "VARIETIES")
	private String varieties;
	
	// 代表数量
	@Column(name = "REPRESENTATIVES_NUMBER")
	private String representativesNumber;
	
	// 项目
	@Column(name = "PROJECT")
	private String project;
	
	// 检验值
	@Column(name = "TEST_VALUE")
	private String testValue;
	
	// 是否为重度不宜存样品
	@Column(name = "SEVERE_INAPPROPRIATE_SURVIVAL")
	private String severeInappropriateSurvival;
	
	// 是否为轻度不宜存样品
	@Column(name = "MILD_UNSUITABLE_STORAGE")
	private String mildUnsuitableStorage;

	//流程id
	@Column(name = "PROCESS_ID")
	private String processId;
	
	//状态名称
	@Column(name = "STATE_NAME")
	private String stateName;
	
	//审核意见
	@Column(name = "AUDIT_OPINIONS")
	private String auditOpinions;
	
	//审核结果
	@Column(name = "FINDINGS_AUDIT")
	private String findingsAudit;
	//批次
	@Column(name = "BATCH")
	private String batch;
}
