package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-粮食质量检验结果汇总表-明细表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_SUMMARY_RESULTS_ITEMS")
public class SummaryResultsItemsDO extends BaseEntity {
	
	// 汇总表id
	@Column(name = "SUMMARY_ID")
	private String summaryId;
	
	// 检查地区或库点
	@Column(name = "CHECK_LIBRARY_POINTS")
	private String checkLibraryPoints;

	// 类型
	@Column(name = "TYPE")
	private String type;
	
	// 检查企业个数
	@Column(name = "COMPANY_NUMBER")
	private String companyNumber;
	
	//样品总数
	@Column(name = "SAMPLES_TOTAL")
	private String samplesTotal;
  
	// 代表数量
	@Column(name = "REPRESENTATIVES_NUMBER")
	private String representativesNumber;
  
	// 达标率
	@Column(name = "ACHIEVEMENT_RATE")
	private String achievementRate;

	// 稻谷-样品数
	@Column(name = "PADDY_SAMPLES_NUMBER")
	private String paddySamplesNumber;
	
	//稻谷-代表数量
	@Column(name = "PADDY_REPRESENTATIVES_NUMBER")
	private String paddyRepresentativesNumber;
	
	//稻谷-达标率
	@Column(name = "PADDY_ACHIEVEMENT_RATE")
	private String paddyAchievementRate;
	
	//小麦-样品数
	@Column(name = "WHEAT_SAMPLES_NUMBER")
	private String wheatSamplesNumber;
	
	//小麦-代表数量
	@Column(name = "WHEAT_REPRESENTATIVES_NUMBER")
	private String wheatRepresentativesNumber;
	
	//小麦-达标率
	@Column(name = "WHEAT_ACHIEVEMENT_RATE")
	private String wheatAchievementRate;
	
	//玉米-样品数
	@Column(name = "CORN_SAMPLES_NUMBER")
	private String cornSamplesNumber;
	
	//玉米-代表数量
	@Column(name = "CORN_REPRESENTATIVES_NUMBER")
	private String cornRepresentativesNumber;
	
	//玉米-达标率
	@Column(name = "CORN_ACHIEVEMENT_RATE")
	private String cornAchievementRate;
	
	//大豆-样品数
	@Column(name = "SOYBEAN_SAMPLES_NUMBER")
	private String soybeanSamplesNumber;
	
	//大豆-代表数量
	@Column(name = "SOYBEAN_REPRESENTATIVES_NUMBER")
	private String soybeanRepresentativesNumber;
	
	//大豆-达标率
	@Column(name = "SOYBEAN_ACHIEVEMENT_RATE")
	private String soybeanAchievementRate;
	
	//大米-样品数
	@Column(name = "RICE_SAMPLES_NUMBER")
	private String riceSamplesNumber;
	
	//大米-代表数量
	@Column(name = "RICE_REPRESENTATIVES_NUMBER")
	private String riceRepresentativesNumber;
	
	//大米-达标率
	@Column(name = "RICE_ACHIEVEMENT_RATE")
	private String riceAchievementRate;	
	
	//小麦粉-样品数
	@Column(name = "WHEATMEAL_SAMPLES_NUMBER")
	private String wheatmealSamplesNumber;	
	
	//小麦粉-代表数量
	@Column(name = "WHEATMEAL_REPRESENTATIVES_NUMB")
	private String wheatmealRepresentativesNumb;
	
	//小麦粉-达标率
	@Column(name = "WHEATMEAL_ACHIEVEMENT_RATE")
	private String wheatmealAchievementRate;
	
	//流程id
	@Column(name = "PROCESS_ID")
	private String processId;
	
	//状态名称
	@Column(name = "STATE_NAME")
	private String stateName;
	//批次
	@Column(name = "BATCH")
	private String batch;	
}
