package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-质量不达标样品汇总表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_SUMMARY_SUBSTANDARD_SAMPLE")
public class SummarySubstandardSampleDO extends BaseEntity {
	
	// 计划文件名称
	@Column(name = "PLAN_FILE_NAME")
	private String planFileName;
	
	// 计划id
	@Column(name = "PLAN_ID")
	private String planId;

	// 检验结果上报 4、质量不达标样品汇总表
	@Column(name = "TYPE")
	private String type;
	
	// 盟市
	@Column(name = "CITY")
	private String city;
  
	// 填报单位
	@Column(name = "FILLING_UNIT")
	private String fillingUnit;
  
	// 库点名称
	@Column(name = "LIBRARY_POINT_NAME")
	private String libraryPointName;

	// 扦样处所
	@Column(name = "WAREHOUSE")
	private String warehouse;
	// 样品编号
	@Column(name = "SAMPLE_NUMBER")
	private String sampleNumber;
	// 代表数量
	@Column(name = "REPRESENTATIVES_NUMBER")
	private String representativesNumber;
	// 储粮性质
	@Column(name = "NATURE")
	private String nature;
	// 品种
	@Column(name = "VARIETIES")
	private String varieties;
	// 产地/生产厂家
	@Column(name = "PLACE_ORIGIN")
	private String placeOrigin;
	// 收获年限
	@Column(name = "HARVEST_LIFE")
	private String harvestLife;
	// 入库时间
	@Column(name = "STORAGE_TIME")
	private String storageTime;
	// 不达标项目
	@Column(name = "UNQUALIFIED_ITEMS")
	private String unqualifiedItems;
	// 检测值
	@Column(name = "DETECTION_VALUE")
	private String detectionValue;
	
	//流程id
	@Column(name = "PROCESS_ID")
	private String processId;
	
	//状态名称
	@Column(name = "STATE_NAME")
	private String stateName;
	
	//审核意见
	@Column(name = "AUDIT_OPINIONS")
	private String auditOpinions;
	
	//审核结果
	@Column(name = "FINDINGS_AUDIT")
	private String findingsAudit;
	//批次
	@Column(name = "BATCH")
	private String batch;
}
