package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

import com.unis.common.utils.UUIDUtils;
import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 组织机构信息
 * @author lifx
 * @data 2019年11月26日14:12:31
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "SYS_ORG")
public class SysOrgDO  {
	
	@Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();
	
	// 组织机构名称
	@Column(name = "ORG_NAME")
	private String orgName;
	
	// 组织机构code
	@Column(name = "ORG_CODE")
	private String orgCode;

	
}
