package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 
 * 检验参数
 * @author lifx
 * @data 2019年7月8日14:40:54
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_TEST_PARAMETERS")
public class TestParametersDO extends BaseEntity {
	
	// 机构id
	@Column(name = "ORGANIZATION_ID")
	private String organizationId;
	
	// 检验类别
	@Column(name = "INSPECTION_CATEGORY")
	private String inspectionCategory;

	// 检验参数
	@Column(name = "TEST_PARAMETERS")
	private String testParameters;
	 

}
