package com.unis.quality.server.entity.quality.tianjin;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

import com.unis.common.utils.UUIDUtils;
import com.unis.quality.server.entity.BaseEntity;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName SamplingVarietiesDO
 * @Description 新收获粮-品种
 * @Author lfx
 * @Date 2019年8月20日17:57:40
 * @Version 0.0.1
 **/
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "CYD")
@ApiModel(value = "采样地Model")
public class SamplingSitesDO {
	
	@Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();
	
	// 采样品种ID
	@Column(name = "CYPZID")
	private String cypzId;
	
	// 行政区划编码
	@Column(name = "XZQHBM")
	private String xzqhbm;
	
	// 行政区划名称
	@Column(name = "XZQHMC")
	private String xzqhmc;
	
	// 国家取样数
	@Column(name = "GJCYS")
	private Integer gjcys;
	
	// 市级取样数
	@Column(name = "SJCYS")
	private Integer sjcys;

	// 查看状态 默认 0 未查看  1已查看
	@Column(name = "CKZT")
	private Integer ckzt;

	// 数据排序
	@Column(name = "DATA_ORDER")
	private Integer dataOrder;
}
