package com.unis.quality.server.entity.quality.tianjin;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

import com.unis.common.utils.UUIDUtils;
import com.unis.quality.server.entity.BaseEntity;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName SamplingVarietiesDO
 * @Description 新收获粮-品种
 * @Author lfx
 * @Date 2019年8月20日17:57:40
 * @Version 0.0.1
 **/
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "CYPZ")
@ApiModel(value = "采样品种Model")
public class SamplingVarietiesDO {
	
//    private String id = UUIDUtils.uuid();
@Id
@Column(name="ID")
private String id;

	// 采样计划ID
	@Column(name = "CYJHID")
	private String cyjhId;
	
	// 样品级别编码
	@Column(name = "YPJBBM")
	private String ypjbbm;

	//样品级别名称
	@Column(name = "YPJBMC")
	private String ypjbmc;
	
	// 采样品种类型编码
	@Column(name = "CYPZLXBM")
	private String cypzlxbm;

	// 采样品种类型名称
	@Column(name = "CYPZLXMC")
	private String cypzlxmc;
	
	// 采样品种编码
	@Column(name = "CYPZBM")
	private String cypzbm;
	
	// 采样品种名称
	@Column(name = "CYPZMC")
	private String cypzmc;
	
}
