package com.unis.quality.server.entity.quality.tianjin;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import com.unis.common.utils.UUIDUtils;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName ViewSituation
 * @Description 采样方案——查看情况
 * @Author ldq
 * @Date 2019年8月20日17:57:40
 * @Version 0.0.1
 **/
@Getter
@Setter
@ToString
@Table(name = "CCFA_CKQK")
@ApiModel(value = "采样地Model")
public class ViewSituationDO {
	
	@Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();
	
	// 抽样方案ID
	@Column(name = "CCFA_ID")
	private String ccfaId;
	
	// 行政区划编码
	@Column(name = "XZQHBM")
	private String xzqhbm;
	
	// 行政区划名称
	@Column(name = "XZQHMC")
	private String xzqhmc;
	
	// 查看时间
	@Column(name = "CKSJ")
	private String cksj;

	// 查看人
	@Column(name = "CKR")
	private String ckr;
	
	// 查看状态 默认 0 未查看  1已查看
	@Column(name = "CKZT")
	private Integer ckzt;

}
