/*
 * CheckstandardItemDO.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-20 22:44:52 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.entity.standard;

import com.unis.common.entity.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * CHECKSTANDARD_ITEM
 * @author lipenghe with LAPTOP-IJQ2SDFV at 2020-08-20 22:44:52
 */
@ApiModel(value = "CHECKSTANDARD_ITEM:标准详情")
@Data
@Table(name="CHECKSTANDARD_ITEM")
public class CheckstandardItemDO extends BaseDO {
    @ApiModelProperty(value = "项目id#<主键><唯一><非空>", notes ="项目id")
    @Id
    @Column(name="ITEM_ID")
    private String itemId;

    @ApiModelProperty(value = "标准id", notes ="标准id")
    @Column(name="CHECKSTANDARD_ID")
    private String checkstandardId;

    @ApiModelProperty(value = "检测人", notes ="检测人")
    @Column(name="ITEMCHECK_MAN")
    private String itemcheckMan;

    @ApiModelProperty(value = "单向判断", notes ="单向判断")
    @Column(name="ITEMCHECK_RLEVEL")
    private String itemcheckRlevel;

    @ApiModelProperty(value = "检测结果", notes ="检测结果")
    @Column(name="ITEMCHECK_RNUM")
    private String itemcheckRnum;

    @ApiModelProperty(value = "组织id", notes ="组织id")
    @Column(name="ORG_CODE")
    private String orgCode;

    @ApiModelProperty(value = "项目明细", notes ="项目明细")
    @Column(name="PROJECT_DETAILS")
    private String projectDetails;

    @ApiModelProperty(value = "标准编号", notes ="标准编号")
    @Column(name="STANDARD_CODE")
    private String standardCode;

    @ApiModelProperty(value = "标准名称", notes ="标准名称")
    @Column(name="STANDARD_NAME")
    private String standardName;

    @ApiModelProperty(value = "标准分类", notes ="标准分类")
    @Column(name="STANDARD_TYPE")
    private String standardType;

    @ApiModelProperty(value = "质检系统的标准id", notes ="质检系统的标准id")
    @Column(name="STANDARD_ID")
    private String standardId;

    @ApiModelProperty(value = "质检系统的详细标准id", notes ="质检系统的详细标准id")
    @Column(name="STAND_ITEM_ID")
    private String standItemId;

    public CheckstandardItemDO() {
        super();
    }
}