/*
 * CheckstandardItemLevelDO.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-20 22:44:52 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.entity.standard;

import com.unis.common.entity.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * CHECKSTANDARD_ITEMLEVEL
 * @author lipenghe with LAPTOP-IJQ2SDFV at 2020-08-20 22:44:52
 */
@ApiModel(value = "CHECKSTANDARD_ITEMLEVEL:标准详情规则")
@Data
@Table(name="CHECKSTANDARD_ITEMLEVEL")
public class CheckstandardItemLevelDO extends BaseDO {
    @ApiModelProperty(value = "标准详情规则id#<主键><唯一><非空>", notes ="标准详情规则id")
    @Id
    @Column(name="LEVEL_ID")
    private String levelId;

    @ApiModelProperty(value = "检测标准id", notes ="检测标准id")
    @Column(name="CHECKSTANDARD_ID")
    private String checkstandardId;

    @ApiModelProperty(value = "等级code", notes ="等级code")
    @Column(name="GRADE")
    private String grade;

    @ApiModelProperty(value = "检测项目id", notes ="检测项目id")
    @Column(name="ITEM_ID")
    private String itemId;

    @ApiModelProperty(value = "判断值", notes ="判断值")
    @Column(name="JUDGE_VALUE")
    private String judgeValue;

    @ApiModelProperty(value = "组织代码", notes ="组织代码")
    @Column(name="ORG_CODE")
    private String orgCode;

    @ApiModelProperty(value = "判断规则", notes ="判断规则")
    @Column(name="RULE")
    private String rule;

    public CheckstandardItemLevelDO() {
        super();
    }
}