/*
 * AbnormalDetailApi.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-05-12 17:01:50 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.vo.abnormal.AbnormalDetailListVO;
import com.unis.quality.common.vo.abnormal.AbnormalDetailShowVO;
import com.unis.quality.common.vo.abnormal.AbnormalDetailVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

//import org.springframework.web.bind.annotation.RequestMapping;

/**
 * TY_YCQKZGTZMX-异常情况整改通知明细
 * @author lipenghe at 2020-05-12 17:01:50
 */
//@RequestMapping("/manager/abnormal")
//异常情况整改通知明细---异常情况整改通知明细
@FeignClient("quality-server")
public interface AbnormalDetailApi {

    @ApiOperation(value = "异常情况---异常情况整改通知明细---[真删除]根据实体的某些属性进行单条或者批量删除", notes = "异常情况整改通知明细")
    @PostMapping("/manager/abnormal/abnormalDetail/deleteByEntity")
    public ResponseWrapper deleteByEntity(@RequestBody AbnormalDetailShowVO abnormalDetailShowVO);
}
