package com.unis.quality.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.quality.common.vo.EntrustQueryVO;
import com.unis.quality.common.vo.EntrustVO;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 *功能描述 强检相关  质检共用接口:仓号查询,质检结果查询
 * @author wangqiang
 * @date 2019/8/24 0024
 * @param
 * @return
 */
@FeignClient(name = "quality-server")
@Component
public interface ReceiveExternalPushFeign {

    //=====================================================强检仓号=====================================================
	@SuppressWarnings("unchecked")
	@ApiOperation(value = "交易质检委托信息接收", notes = "参数：委托对象集合map中items")
	@RequestMapping(method = RequestMethod.POST, value = "/jyzj")
	public ResponseWrapper jyzj(@RequestBody Map<String,  Object> paramMap) throws Exception;

    //=====================================================强检仓号=====================================================



}
