package com.unis.quality.common.constant;

/**
 * redis key 常量
 * @author by PIG
 * 2023/11/21 14
 */
public interface RedisKey {

    /** 质检指标*/
    String QUALITY_INDEX_PREFIX = "quality_index:";
    String THEAD_TREE_PREFIX = "quality_index:tree_head:";


    /** 解析excel模板 稻谷*/
    String UN_HUSKED_RICE = "un_husked_rice";
    /** 解析excel模板 小麦及混合小麦*/
    String WHEAT = "wheat";
    /* 解析excel模板 原油*/
    String CRUDE_SOY_OIL = "crude_soy_oil";

    String RICE = "rice";
    String WHEATMEAL = "wheatmeal";
    /* 解析excel模板 油*/
    String REFINED_SOY_OIL = "refined_soy_oil";


    /**
     * DB6 字典前缀
     * value+id
     */
    String DICT_PREFIX = "SINGLE_DATA_DICTIONARY@";

}
