package com.unis.quality.common.enums;

import org.apache.commons.lang.StringUtils;

import lombok.Getter;

@Getter
public enum BaseTechnicalEnum {
//	技术职称代码，401：仓储管理员，402：农产品检验员，403：其他
    EDU_GZ("401", "仓储管理员"),
    EDU_ZZ("402", "农产品检验员"),
    EDU_DZ("403", "其他")
    ;

    private String code;
    private String name;

    BaseTechnicalEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static String getNameByCode(String vname){
    	if(StringUtils.isEmpty(vname)) {
    		return null;
    	}
        for(BaseTechnicalEnum status : values()){
            if (status.getCode().equals(vname)) {
                return status.getName();
            }
        }
        return null;
    }

    //cehsi
    public static void main(String[] args) {
		System.out.println(getNameByCode("401"));
	}
}