package com.unis.quality.common.enums;

import lombok.Getter;

@Getter
public enum CompanyEnum {

    GRAIN_AND_OIL_SALES("210", " 粮油销售放心店"),
    PRODUCE_COMPANY("200", "放心粮油生产企业"),
    ;

    private String code;
    private String message;

    CompanyEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static CompanyEnum getByValue(String value){
        for(CompanyEnum status : values()){
            if (status.getCode().equals(value)) {
                return status;
            }
        }
        return null;
    }

}