package com.unis.quality.common.flow_node;

import com.unis.quality.common.vo.EntrustInspectApplyVO;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.Map;
import java.util.function.Function;

/**
 * @author by PIG
 * 2023/11/10 11
 */
public abstract class EntrustInspectApplyNodeAbs {

    Map<String, Function<EntrustInspectApplyVO, EntrustInspectApplyVO.NODE_INFO>> map = new HashMap<>();

//    @PostConstruct
    private void init(){
        map.put(EntrustInspectApplyVO.NODE_INFO.COMMIT_PEND.getValue(), this::commitPend);
        map.put(EntrustInspectApplyVO.NODE_INFO.SEAL_PEND.getValue(), this::sealPend);
        map.put(EntrustInspectApplyVO.NODE_INFO.SEAL_REJECT.getValue(), this::sealReject);
        map.put(EntrustInspectApplyVO.NODE_INFO.ACCEPT_PEND.getValue(), this::acceptPend);
        map.put(EntrustInspectApplyVO.NODE_INFO.REJECTED.getValue(), this::rejected);
        map.put(EntrustInspectApplyVO.NODE_INFO.ACCEPTED.getValue(), this::accepted);
    }

    protected abstract EntrustInspectApplyVO.NODE_INFO commitPend(EntrustInspectApplyVO entity);
    protected abstract EntrustInspectApplyVO.NODE_INFO sealPend(EntrustInspectApplyVO entity);
    protected abstract EntrustInspectApplyVO.NODE_INFO sealReject(EntrustInspectApplyVO entity);
    protected abstract EntrustInspectApplyVO.NODE_INFO acceptPend(EntrustInspectApplyVO entity);
    protected abstract EntrustInspectApplyVO.NODE_INFO rejected(EntrustInspectApplyVO entity);
    protected abstract EntrustInspectApplyVO.NODE_INFO accepted(EntrustInspectApplyVO entity);
}
