package com.unis.quality.common.vo;

import java.util.Date;
import java.util.Map;

import lombok.Getter;
import lombok.Setter;

/**
 * 机构设备管理
 * @author lifx
 * @data 2019年7月8日15:19:08
 */
@Getter
@Setter
public class EquipmentVO  {
	
	// id
	private String  id;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
    
    // 机构ID
 	private String organizationId;
   
 	//仪器设备名称
 	private String equipmentName;
 	
 	//设备编码
 	private String deviceCoding;
 	
 	//使用状态
 	private String usingState;
 	
 	// 生产厂家名称
 	private String manufacturer;
 	
 	// 生产日期
 	private String productionDate;
 	
 	// 负责人姓名
 	private String contactPerson;
 		
 	// 联系方式
 	private String phone;
 	
 	// 设备数量
 	private String numberEquipment;
 	
 	private String[] organizationIds;
 	
 	private Map<String, Object> equipmentList;
 	
 	
 	/**=======天津设备=========**/
	//所在单位
	private String unit;
	
	// 型号
	private String model;

	// 价值
	private String value;

	// 国产、进口
	private String domesticImport;
	
	//出厂编码
	private String factoryCode;
	//收货日期
	private Date receiptDate;
	//启用日期
	private Date enableDate;
	//接收状态
	private String receivingState;
	
	//放置点
	private String placePoint;
	
	//软件名称
	private String softwareName;
	//技术参数
	private String technicalParameter;
		
	// 是否造册
	private String whetherCertify;

}
