package com.unis.quality.common.vo;


import com.unis.quality.common.vo.tianjin.BaseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 放心粮油企业
 * @author lifx
 * @data 2019年7月8日14:55:25
 */
@Getter
@Setter
@ToString
@ApiModel(value = "放心粮油企业")
public class FxlyCompanyVO extends  BaseVO {

	@ApiModelProperty(value="企业名称")
	private String qymc;
  
	@ApiModelProperty(value="类型")
	private String lx;
	
	@ApiModelProperty(value="企业信用代码")
	private String qyxydm;
	
	@ApiModelProperty(value="产品")
	private String cp;
	
	@ApiModelProperty(value="联系人")
	private String lxr;
	
	@ApiModelProperty(value="联系方式")
	private String lxfs;
	
	@ApiModelProperty(value="状态 1启用 0禁用")
	private String zt;
		
	@ApiModelProperty(value="备注")
	private String bz;
	
	@ApiModelProperty(value="状态 1启用 0禁用")
	private String ztmc;
	
	@ApiModelProperty(value="地址")
	private String dz;
	
	
	@ApiModelProperty(value="负责人")
	private String fzr;
	
	@ApiModelProperty(value="负责人电话")
	private String fzrdh;
}
