package com.unis.quality.common.vo;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-检验结果等级表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@Getter
@Setter
@ToString
public class GradeTestResultsVO {
	// id
	private String  id;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
	
	// 库存粮食质量检测品登统表ID
	private String foodStockId;
	
	// 计划文件名称
	private String planFileName;
	
	// 检验结果上报 1库存粮食质量检测品登统表 2 检验结果等级表
	private String type;
	
	// 盟市
	private String city;
  
	// 填报单位
	private String fillingUnit;
  
	// 填报日期
	private String fillingDate;
	
	//样品名称
	private String varieties;

	//流程id
	private String processId;
	
	//状态名称
	private String stateName;
	
	//审核意见
	private String auditOpinion;
	
	//审核结果
	private String findingsAudit;
	//批次
  	private String batch;
}
