package com.unis.quality.common.vo;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 品质测报检测项目
 * @author lifx
 * @data 2019年7月10日10:06:08
 */
@Getter
@Setter
@ToString
public class QualityPredictionItemsVO {
	// id
	private String  id;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
	
	// 计划类型--暂时不用
	/*private String planType;
	
	// 计划文件名称--暂时不用
	private String planFileName;*/
    
    //审核结果id
    private String aduitId;

	//品种
	private String varieties;
	
	//检验指标
	private String testIndicators;
	
	//检验值
	private String testValue;
	//批次
  	private String batch;
}
