package com.unis.quality.common.vo;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-粮食储存品质检验结果汇总表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@Getter
@Setter
@ToString
public class SummaryInspectionResultVO {
	// id
	private String  id;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
		    
	// 计划文件名称
	private String planFileName;
	
	// 计划id
	private String planId;

	
	// 检验结果上报 3、粮食储存品质检验结果汇总表
	private String type;
	
	// 盟市
	private String city;
  
	// 填报单位
	private String fillingUnit;
  
	// 粮食性质
	private String foodNature;

	// 检查时点
	private String checkPoint;
	
	// 检查地区
	private String inspectionArea;
	
	// 检查企业个数
	private String companyNumber;
	
	// 样品总数
	private String samplesTotal;
	
	// 代表数量
	private String representativesNumber;
	
	// 宜存率
	private String survivabilityRate;
	
	// 轻度不宜存
	private String mildUnsuitableStorage;
	
	// 重度不宜存
	private String severeInappropriateSurvival;
	
	// 稻谷-样品数
	private String paddySamplesNumber;
	
	// 稻谷-宜存率
	private String paddySurvivabilityRate;
	
	// 稻谷-轻度不宜存率
	private String paddyMildUnsuitableStorage;
	
	// 稻谷-重度不宜存率
	private String paddySevereInappropriateSur;
	
	// 小麦-样品数
	private String wheatSamplesNumber;
	
	// 小麦-宜存率
	private String wheatSurvivabilityRate;
	
	// 小麦-轻度不宜存率
	private String wheatMildUnsuitableStorage;
	
	// 小麦-重度不宜存率
	private String wheatSevereInappropriateSur;
	
	// 玉米-样品数
	private String cornSamplesNumber;
	
	// 玉米-宜存率
	private String cornSurvivabilityRate;
	
	// 玉米-轻度不宜存率
	private String cornMildUnsuitableStorage;
	
	// 玉米-重度不宜存率
	private String cornSevereInappropriateSurv;
	
	// 大豆-样品数
	private String soybeanSamplesSumber;
	
	// 大豆宜存率
	private String soybeanSurvivabilityRate;
	
	// 大豆-轻度不宜存率
	private String soybeanMildUnsuitableStorag;
	
	// 大豆-重度不宜存率
	private String soybeanSevereInappropriates;
		
	//流程id
	private String processId;
	
	//状态名称
	private String stateName;
	
	//审核意见
	private String auditOpinions;
	
	//审核结果
	private String findingsAudit;
	//批次
  	private String batch;
}
