package com.unis.quality.common.vo;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-储存品质不宜存样品汇总表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@Getter
@Setter
@ToString
public class SummaryNotSuitableVO {
	// id
	private String  id;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
		    
	// 计划文件名称
	private String planFileName;
	
	// 计划id
	private String planId;

	
	// 检验结果上报 4、储存品质不宜存样品汇总表
	private String type;
	
	// 盟市
	private String city;
  
	// 填报单位
	private String fillingUnit;
  
	// 检查库点名称
	private String checkLibraryPoints;

	// 扦样处所
	private String warehouse;
	
	// 粮食性质
	private String foodNature;
	
	// 样品名称
	private String varieties;
	
	// 代表数量
	private String representativesNumber;
	
	// 项目
	private String project;
	
	// 检验值
	private String testValue;
	
	// 是否为重度不宜存样品
	private String severeInappropriateSurvival;
	
	// 是否为轻度不宜存样品
	private String mildUnsuitableStorage;

	//流程id
	private String processId;
	
	//状态名称
	private String stateName;
	
	//审核意见
	private String auditOpinions;
	
	//审核结果
	private String findingsAudit;
	//批次
  	private String batch;
}
