package com.unis.quality.common.vo;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-粮食质量检验结果汇总表-明细表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@Getter
@Setter
@ToString
public class SummaryResultsItemsVO {
	// id
	private String  id;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
		    
	// 汇总表id
	private String summaryId;
	
	// 类型
	private String type;
	// 检查地区或库点
	private String checkLibraryPoints;
	
	// 检查企业个数
	private String companyNumber;
	
	//样品总数
	private String samplesTotal;
  
	// 代表数量
	private String representativesNumber;
  
	// 达标率
	private String achievementRate;

	// 稻谷-样品数
	private String paddySamplesNumber;
	
	//稻谷-代表数量
	private String paddyRepresentativesNumber;
	
	//稻谷-达标率
	private String paddyAchievementRate;
	
	//小麦-样品数
	private String wheatSamplesNumber;
	
	//小麦-代表数量
	private String wheatRepresentativesNumber;
	
	//小麦-达标率
	private String wheatAchievementRate;
	
	//玉米-样品数
	private String cornSamplesNumber;
	
	//玉米-代表数量
	private String cornRepresentativesNumber;
	
	//玉米-达标率
	private String cornAchievementRate;
	
	//大豆-样品数
	private String soybeanSamplesNumber;
	
	//大豆-代表数量
	private String soybeanRepresentativesNumber;
	
	//大豆-达标率
	private String soybeanAchievementRate;
	
	//大米-样品数
	private String riceSamplesNumber;
	
	//大米-代表数量
	private String riceRepresentativesNumber;
	
	//大米-达标率
	private String riceAchievementRate;	
	
	//小麦粉-样品数
	private String wheatmealSamplesNumber;	
	
	//小麦粉-代表数量
	private String wheatmealRepresentativesNumb;
	
	//小麦粉-达标率
	private String wheatmealAchievementRate;
	
	//流程id
	private String processId;
	
	//状态名称
	private String stateName;
	//批次
  	private String batch;
}
