package com.unis.quality.common.vo;

import java.util.Date;
import java.util.Map;

import lombok.Getter;
import lombok.Setter;

/**
 * 机构设备管理
 * @author lifx
 * @data 2019年7月8日15:19:08
 */
@Getter
@Setter
public class TestParametersVO  {
	
	// id
	private String  id;
	
	//行政区划
	private String areaCode;
	
	//创建时间
    private Date createTime;
    
    //创建人id
    private String createBy;

    //修改时间
    private Date updateTime;
    
    //修改人
    private String updateBy;
    
    // 删除时间
    private Date deleteTime;
    
    //删除人
    private String deleteBy;
    
    //组织机构id
    private String orgId;
    
    //部门ID
    private String deptId;
    
    // 机构ID
 	private String organizationId;
   
	// 检验类别
	private String[] inspectionCategory;
	
	// 检验参数
	private String testParameters;
	
	private Map<String, Object> testParametersVOlist;
	
	private String[] ids;

}
