package com.unis.quality.common.vo.tianjin;

import java.util.Date;


import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-库存粮食质量检测品登统表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@Getter
@Setter
@ToString
public class StockVO {
	// id
		private String  id;
		
		//行政区划
		private String areaCode;
		
		//创建时间
	    private Date createTime;
	    
	    //创建人id
	    private String createBy;

	    //修改时间
	    private Date updateTime;
	    
	    //修改人
	    private String updateBy;
	    
	    // 删除时间
	    private Date deleteTime;
	    
	    //删除人
	    private String deleteBy;
	    
	    //组织机构id
	    private String orgId;
	    
	    //部门ID
	    private String deptId;
	    
	    /**-------------------------**/
		    
	    //单位名称
	    private String dwmc;
	    
	    //地方储备粮(原粮)-小麦
	    private String dfcblYlXm;
	    
	    //地方储备粮(原粮)-稻谷
	    private String dfcblYlDg;
	    
	    //地方储备粮(原粮)-玉米
	    private String dfcblYlYm;
	    
	    //地方储备粮(成品粮)-大米
	    private String dfcblCplDm;
	    
	    //地方储备粮(成品粮)-面粉
	    private String dfcblCplMf;
	    
	    //商品粮-小麦
	    private String splXm;
	    
	    //商品粮-稻谷
	    private String splDg;
	    
	    //军供粮-大米
	    private String jglDm;
	    
	    //军供粮-面粉
	    private String jglMf;
	    
	    //放心粮油-大米
	    private String fxlyDm;
	    
	    //放心粮油-面粉
	    private String fxlyMf;
	
}
