package com.unis.quality.server.dao;

import com.unis.quality.server.entity.quality.TbCheckstandardItemlevelDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;
import java.util.List;

@Repository
@Transactional(propagation = Propagation.NESTED, rollbackFor = Exception.class)
public interface CheckstandardItemlevelRepository extends JpaRepository<TbCheckstandardItemlevelDO,Serializable>,JpaSpecificationExecutor <TbCheckstandardItemlevelDO>{


	/**
	 * 彻底删除
	 */
	void deleteByItemId(String itemId);
	
	/**
	 * 项目规则详情
	 * @param itemId
	 * @param i
	 * @return
	 */
	List<TbCheckstandardItemlevelDO> findByItemIdAndStatus(String itemId, int i);
	
	/**
	 * 检测规则详情
	 * @param standardId
	 * @param i
	 * @return
	 */
	
	
//	List<TbCheckstandardItemlevelDO> findByDataStatusIsNotNullAndItemIdAndStatus(String itemId, int i);
//	List<TbCheckstandardItemlevelDO> findByDataStatusIsNullAndItemIdAndStatus(String itemId, int i);
//	
	

	
}
