package com.unis.quality.server.dao;

import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.quality.common.vo.FxlyCompanyVO;
import com.unis.quality.server.entity.quality.FxlyCompanyDO;

import tk.mybatis.mapper.common.Mapper;

/**
 * @Description 放心粮油企业
 * @ClassName FxlyCompanyDao
 * @author lfx
 * @date 2019年11月22日17:07:40
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface FxlyCompanyDao extends Mapper<FxlyCompanyDO>{
	
	/**
	 * @Description 保存
	 * @version v1.0
	 * @author lfx
	 * @date 2018/10/29
	 * @param OrganizationVO
	 * @return boolean
	 * @throws Exception
	 */
	public boolean save(FxlyCompanyVO vo) throws Exception;

}
