package com.unis.quality.server.dao;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.quality.common.dto.FoodStockDTO;
import com.unis.quality.common.vo.FoodStockItemsVO;
import com.unis.quality.server.entity.quality.FoodStockDO;
import com.unis.quality.server.entity.quality.SummarySubstandardSampleDO;

import tk.mybatis.mapper.common.Mapper;

/**
 * @ClassName SummaryResultsService
 * @Description 安全监测-粮食质量检验结果汇总表
 * @author lfx
 * @date 2019年7月24日17:26:44
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface SummarySubstandardSampleDao extends Mapper<SummarySubstandardSampleDO>{

	
	
}
