/*
 * TbCheckstandardInfoDao.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-05-22 15:22:15 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.quality.server.dao;

import com.github.pagehelper.Page;
import com.unis.quality.common.vo.TbCheckstandardInfoVO;
import com.unis.quality.server.entity.quality.TbCheckstandardInfoDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * TB_CHECKSTANDARD_INFO-无表注释
 * @author lipenghe at 2020-05-22 15:22:15
 */
public interface TbCheckstandardInfoDao extends Mapper<TbCheckstandardInfoDO> {
    /**
     * <TB_CHECKSTANDARD_INFO-无表注释>更改状态
     * @param entity    <无表注释>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(TbCheckstandardInfoDO entity);

    /**
     * <TB_CHECKSTANDARD_INFO-无表注释>根据实体某些属性更新全部字段,会覆盖数据库默认值)
     * @param entity    <无表注释>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(TbCheckstandardInfoDO entity);

    /**
     * <TB_CHECKSTANDARD_INFO-无表注释>根据实体不为空的属性,选择性更新字段,只更新非空的属性对应的字段
     * @param entity    <无表注释>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(TbCheckstandardInfoDO entity);

    /**
     * <TB_CHECKSTANDARD_INFO-无表注释>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param checkstandardInfoVO    <无表注释>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(TbCheckstandardInfoVO checkstandardInfoVO);

    /**
     * <TB_CHECKSTANDARD_INFO-无表注释>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param entity    <无表注释>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(TbCheckstandardInfoDO entity);

    /**
     * <TB_CHECKSTANDARD_INFO-无表注释>[假删除]根据实体的某些属性进行单条或者批量删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param checkstandardInfoVO    <无表注释>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(TbCheckstandardInfoVO checkstandardInfoVO);

    /**
     * <TB_CHECKSTANDARD_INFO-无表注释>根据实体的某些属性查询数量
     * @param checkstandardInfoVO    <无表注释>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(TbCheckstandardInfoVO checkstandardInfoVO);

    /**
     * <TB_CHECKSTANDARD_INFO-无表注释>根据实体的业务唯一属性(且非指定主键数据)判断是否存在
     * @param checkstandardInfoVO    <无表注释>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectExistsByEntity(TbCheckstandardInfoVO checkstandardInfoVO);

    /**
     * <TB_CHECKSTANDARD_INFO-无表注释>根据实体(唯一标示)查询一条数据
     * @param checkstandardInfoVO    <无表注释>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    TbCheckstandardInfoVO selectById(TbCheckstandardInfoVO checkstandardInfoVO);

    /**
    * <TB_CHECKSTANDARD_INFO-无表注释>根据实体(唯一标示)查询一条数据
    * @param entity    <无表注释>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    TbCheckstandardInfoVO selectById(TbCheckstandardInfoDO entity);

    /**
     * <TB_CHECKSTANDARD_INFO-无表注释>根据实体的某些属性查询分页数据
     * @param checkstandardInfoVO    <无表注释>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<TbCheckstandardInfoVO> selectPageByEntity(TbCheckstandardInfoVO checkstandardInfoVO);

    /**
     * <TB_CHECKSTANDARD_INFO-无表注释>根据实体的某些属性查询列表
     * @param checkstandardInfoVO    <无表注释>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<TbCheckstandardInfoVO> selectByEntity(TbCheckstandardInfoVO checkstandardInfoVO);

    /**
    * <TB_CHECKSTANDARD_INFO-无表注释>根据实体的某些属性查询列表
    * @param entity     <无表注释>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    List<TbCheckstandardInfoVO> selectByEntity(TbCheckstandardInfoDO entity);
}