package com.unis.quality.server.dao.tianjin;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.quality.common.dto.CheckSchemeDTO;
import com.unis.quality.server.entity.quality.tianjin.PointPlanDO;

import tk.mybatis.mapper.common.Mapper;


/**
 * @ClassName PointPlanDao
 * @Description 新收获粮-布点计划Dao
 * @Author lfx
 * @Date 2019年8月20日17:57:40
 * @Version 0.0.1
 **/
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface PointPlanDao extends Mapper<PointPlanDO>{

		//拼接一条完整的数据展示给前台
		public List<CheckSchemeDTO> allPointPlan(CheckSchemeDTO dto);

		//<!-- 抽样检测结果查看 关联质检编号的数据库表 -->
		public List<CheckSchemeDTO> allSampling(CheckSchemeDTO dto);

		public List<CheckSchemeDTO> kucunliangshiList(CheckSchemeDTO dto);

}
