package com.unis.quality.server.dao.tianjin;

import com.unis.base.common.vo.TyZjxxzbQueryVO;
import com.unis.base.common.vo.TyZjxxzbVO;
import com.unis.quality.common.vo.tianjin.TyZjxxAbnormalVO;
import com.unis.quality.common.vo.tianjin.TyZjxxzbAbnormalQueryVO;
import com.unis.quality.server.entity.quality.tianjin.TyZjxxzbDO;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

@Transactional(rollbackFor = Exception.class)
@Repository
public interface TyZjxxzbDao extends Mapper<TyZjxxzbDO> {


    int insert(TyZjxxzbDO record);

    int insertSelective(TyZjxxzbDO record);


    TyZjxxzbDO selectByKey(String zjxxid);

    int updateByPrimaryKey(TyZjxxzbDO record);

    /**
     * <TY_ZJXXZB-无表注释>根据实体不为空的属性,选择性更新字段,只更新非空的属性对应的字段
     * @param entity    <无表注释>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(TyZjxxzbDO entity);

    List<TyZjxxzbVO> getTyZjxxzbList(TyZjxxzbQueryVO tyZjxxzbQueryVO);

    List<TyZjxxAbnormalVO > getZjxxzbAbnormalList(TyZjxxzbAbnormalQueryVO tyZjxxzbQueryVO);


    /**
     * 获取所有列表不分页
     * @return
     */
	List<TyZjxxzbDO> selectAllList();
}