package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 安全监测-检验结果等级表
 * @author lifx
 * @data 2019年7月24日15:58:12
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_GRADE_TEST_RESULTS")
public class GradeTestResultsDO extends BaseEntity {
	
	// 库存粮食质量检测品登统表ID
	@Column(name = "FOOD_STOCK_ID")
	private String foodStockId;
	
	// 计划文件名称
	@Column(name = "PLAN_FILE_NAME")
	private String planFileName;
	
	// 检验结果上报 1库存粮食质量检测品登统表 2 检验结果等级表
	@Column(name = "TYPE")
	private String type;
	
	// 盟市
	@Column(name = "CITY")
	private String city;
  
	// 填报单位
	@Column(name = "FILLING_UNIT")
	private String fillingUnit;
  
	// 填报日期
	@Column(name = "FILLING_DATE")
	private String fillingDate;

	//流程id
	@Column(name = "PROCESS_ID")
	private String processId;
	
	//状态名称
	@Column(name = "STATE_NAME")
	private String stateName;
	
	//审核意见
	@Column(name = "AUDIT_OPINIONS")
	private String auditOpinions;
	
	//审核结果
	@Column(name = "FINDINGS_AUDIT")
	private String findingsAudit;
	
	//样品名称
	@Column(name = "VARIETIES")
	private String varieties;
	//批次
	@Column(name = "BATCH")
	private String batch;
}
