package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 品质测报-结果审核
 * @author lifx
 * @data 2019年7月10日10:06:08
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_QUALITY_PREDICTION_AUDIT")
public class QualityPredictionAduitDO extends BaseEntity {
	
	// 计划类型---暂时不需要
	@Column(name = "PLAN_TYPE")
	private String planType;
	
	//计划id
	@Column(name = "PLAN_ID")
	private String planId;
	
	// 计划文件名称
	@Column(name = "PLAN_FILE_NAME")
	private String planFileName;

	// 盟市
	@Column(name = "CITY")
	private String city;
  
	// 承储企业名称
	@Column(name = "COMPANY_NAME")
	private String companyName;
  
	// 扦样机构
	@Column(name = "MIGRATION_AGENCIES")
	private String migrationAgencies;

	// 扦样日期
	@Column(name = "MIGRATION_DATE")
	private String migrationDate;
	
	//扦样货位号
	@Column(name = "RELOCATION_NUMBER")
	private String relocationNumber;
	
	//粮食性质
	@Column(name = "NATURE_FOOD")
	private String natureFood;
	
	//品种
	@Column(name = "VARIETIES")
	private String varieties;
	
	//样品编号
	@Column(name = "SAMPLE_NUMBER")
	private String sampleNumber;
	
	//代表数量
	@Column(name = "NUMBER_REPRESENTATIVES")
	private String numberRepresentatives;
	
	//收获年度
	@Column(name = "YEARS")
	private String years;
	
	//产地
	@Column(name = "PLACE_ORIGIN")
	private String placeOrigin;
	
	//审核人
	@Column(name = "REVIEWER")
	private String reviewer;
	
	//审核意见
	@Column(name = "AUDIT_OPINION")
	private String auditOpinion;
	
	//审核结果
	@Column(name = "FINDINGS_AUDIT")
	private String findingsAudit;
	
	//附件
	@Column(name = "ATTACHMENTS")
	private String attachments;
	
	//流程id
	@Column(name = "PROCESS_ID")
	private String processId;
	
	//状态名称
	@Column(name = "STATE_NAME")
	private String stateName;
	
	//状态
	@Column(name = "STATE")
	private String state;
	

	//状态省粮食局
	@Column(name = "SLSJ_STATE")
	private String slsjState;
	//意见省粮食局
	@Column(name = "SLSJ_MESSAGE")
	private String slsjMessage;
	//状态省质检中心
	@Column(name = "SZJZX_STATE")
	private String szjzxState;
	//意见省质检中心
	@Column(name = "SZJZX_MESSAGE")
	private String szjzxMessage;
	
	//状态市粮食局
	@Column(name = "SHLSJ_STATE")
	private String shlsjState;
	//意见市粮食局
	@Column(name = "SHLSJ_MESSAGE")
	private String shlsjMessage;
	//状态市质检中心
	@Column(name = "SHZJZX_STATE")
	private String shzjzxState;
	//意见市质检中心
	@Column(name = "SHZJZX_MESSAGE")
	private String shzjzxMessage;
	
	//状态县粮食局
	@Column(name = "XLSJ_STATE")
	private String xlsjState;
	//意见县粮食局
	@Column(name = "XLSJ_MESSAGE")
	private String xlsjMessage;
	//批次
	@Column(name = "BATCH")
	private String batch;
}
