package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Table;

import com.unis.quality.server.entity.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 品质测报检测项目
 * @author lifx
 * @data 2019年7月10日10:06:08
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "BIZ_QUALITY_PREDICTION_ITEMS")
public class QualityPredictionItemsDO extends BaseEntity {
	
	// 计划类型--暂时不用
	/*@Column(name = "PLAN_TYPE")
	private String planType;
	
	// 计划文件名称--暂时不用
	@Column(name = "PLAN_FILE_NAME")
	private String planFileName;*/
	
	//审核id
	@Column(name = "ADUIT_ID")
	private String aduitId;

	//品种
	@Column(name = "VARIETIES")
	private String varieties;
	
	//检验指标
	@Column(name = "TEST_INDICATORS")
	private String testIndicators;
	
	//检验值
	@Column(name = "TEST_VALUE")
	private String testValue;
	
	//批次
	@Column(name = "BATCH")
	private String batch;
}
