package com.unis.quality.server.entity.quality;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

import com.unis.common.utils.UUIDUtils;
import com.unis.quality.server.entity.BaseEntity;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName PointPlanDO
 * @Description 质检报告编号DO
 * @Author lfx
 * @Date 2019年8月20日17:57:28
 * @Version 0.0.1
 **/
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "ZJBG")
@ApiModel(value = "质检报告编号Model")
public class ZjbgbhDO {
	@Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();
	
	// 委托id
	@Column(name = "WTID")
	private String wtId;
	
	// 采样地ID
	@Column(name = "ZJBGBH")
	private String zjbgbh;
	
}
