package com.unis.quality.server.entity.quality.tianjin;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

import com.unis.common.utils.UUIDUtils;
import com.unis.quality.server.entity.BaseEntity;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName PointPlanDO
 * @Description 新收获粮-布点计划DO
 * @Author lfx
 * @Date 2019年8月20日17:57:28
 * @Version 0.0.1
 **/
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "QYD")
@ApiModel(value = "布点计划-扦样地Model")
public class PointPlanDO  extends BaseEntity{
	
	// 委托id
	@Column(name = "WTID")
	private String wtId;
	
	// 采样地ID
	@Column(name = "CYDID")
	private String cydId;
	
	// 地点
	@Column(name = "DD")
	private String dd;
	
	//详细地址
	@Column(name = "XXDZ")
	private String xxdz;
	
	//联系人
	@Column(name = "LXR")
	private String lxr;
	
	//联系电话
	@Column(name = "LXDH")
	private String lxdh;
	
	//备注
	@Column(name = "BZ")
	private String bz;
}
