package com.unis.quality.server.entity.quality.tianjin;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

import com.unis.common.utils.UUIDUtils;
import com.unis.quality.server.entity.BaseEntity;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName QualityHarvestCornVO
 * @Description 新收获粮-采样计划VO
 * @Author lfx
 * @Date 2019年8月20日17:57:40
 * @Version 0.0.1
 **/
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
@Table(name = "CYJH")
@ApiModel(value = "新收获粮-采样计划Model")
public class SamplingPlanDO  {
	@Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();
	
	// 抽样方案ID
	@Column(name = "CYFAID")
	private String cyfaId;
	
	// 计划编号
	@Column(name = "JHBH")
	private String jhbh;

	// 计划名称
	@Column(name = "JHMC")
	private String jhmc;
	
}
