package com.unis.quality.server.entity.quality.tianjin;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.quality.server.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 质检信息主表实体类
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_ZJXXZB")
public class TyZjxxzbDO extends BaseCommonEntity {

	@Column(name = "zjxxid")
    @Id
    private String zjxxid;

	@Column(name = "zjbgbh")
    private String zjbgbh;

	@Column(name = "zjbgmc")
    private String zjbgmc;

	@Column(name = "hwbm")
    private String hwbm;

	@Column(name = "ssajbh")
    private String ssajbh;

	@Column(name = "ssajmc")
    private String ssajmc;

	@Column(name = "sscfbh")
    private String sscfbh;

	@Column(name = "sscfmc")
    private String sscfmc;

	@Column(name = "sskddm")
    private String sskddm;

	@Column(name = "sskdmc")
    private String sskdmc;

	@Column(name = "ssqydm")
    private String ssqydm;

	@Column(name = "ssyqmc")
    private String ssyqmc;

	@Column(name = "wtdwdm")
    private String wtdwdm;

	@Column(name = "wtdwmc")
    private String wtdwmc;

	@Column(name = "jydwdm")
    private String jydwdm;

	@Column(name = "jydwmc")
    private String jydwmc;

	@Column(name = "lspzbm")
    private String lspzbm;

	@Column(name = "lspzmc")
    private String lspzmc;

	@Column(name = "lsdjbm")
    private String lsdjbm;

	@Column(name = "lsdjmc")
    private String lsdjmc;

	@Column(name = "shnd")
    private String shnd;

	@Column(name = "lsgb")
    private String lsgb;

	@Column(name = "lscd")
    private String lscd;

	@Column(name = "jylbbm")
    private String jylbbm;

    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
	@Column(name = "jyrq")
    private Date jyrq;

	@Column(name = "jyyj")
    private String jyyj;

	@Column(name = "qydbh")
    private String qydbh;

	@Column(name = "ypsldw")
    private BigDecimal ypsldw;

	@Column(name = "dbsldw")
    private BigDecimal dbsldw;

	@Column(name = "ggxh")
    private String ggxh;

	@Column(name = "scrqpc")
    private String scrqpc;

	@Column(name = "lyfs")
    private String lyfs;

    @Column(name = "jyr")
    private String jyr;

    @Column(name = "jylb")
    private String jylb;

	@Column(name = "ypztbs")
    private String ypztbs;

	@Column(name = "zxcpbzh")
    private String zxcpbzh;

	@Column(name = "jypdyj")
    private String jypdyj;

	@Column(name = "checkRemark")
    private String checkRemark;

	@Column(name = "rknx")
    private Short rknx;

	@Column(name = "qydd")
    private String qydd;

	@Column(name = "qyrbm")
    private String qyrbm;

	@Column(name = "qyrmc")
    private String qyrmc;

	@Column(name = "jyjg")
    private String jyjg;

    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
	@Column(name = "bzsj")
    private Date bzsj;

	@Column(name = "bzrbm")
    private String bzrbm;

	@Column(name = "bzrmc")
    private String bzrmc;

    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
	@Column(name = "shsj")
    private Date shsj;

	@Column(name = "shrbm")
    private String shrbm;

	@Column(name = "shrmc")
    private String shrmc;

    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
	@Column(name = "qfsj")
    private Date qfsj;

	@Column(name = "qfrbm")
    private String qfrbm;

    @Column(name = "qfrmc")
    private String qfrmc;

    @Column(name = "zsbm")
    private String zsbm;

    @Column(name = "zgzt")
    private Integer zgzt;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="ZLZBJGPD")
    private String zlzbjgpd;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="CCPZKZZBJGPD")
    private String ccpzkzzbjgpd;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="SPAQJYZBJGPD")
    private String spaqjyzbjgpd;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="BGCJSJ")
    private String bgcjsj;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="QYSJ")
    private String qysj;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="QYQY")
    private String qyqy;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="JDRXM")
    private String jdrxm;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="YPBH")
    private String ypbh;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="YPDJ")
    private String ypdj;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="SFZCCCNX")
    private String sfzcccnx;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="CZBZ")
    private String czbz;

    @ApiModelProperty(value = "无字段注释 ", notes ="无字段注释 ")
    @Column(name="SJYCZT")
    private Integer sjyczt;

    @ApiModelProperty(value = "数据检验时间戳")
    @Column(name = "DATASTAMP")
    private Long datastamp;

    @Column(name="RKRQ")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date rkrq;

    @ApiModelProperty(value = "数据排序")
    @Column(name = "DATAORDER")
    private Long dataorder;
}
