package com.unis.quality.server.service;

import com.alibaba.fastjson.JSONObject;
import com.unis.common.utils.ResponseWrapper;
import com.unis.common.vo.base.PageResult;
import com.unis.quality.common.vo.QualityOpinionInVO;
import com.unis.quality.common.vo.QualityOpinionOutVO;

import java.util.Map;

/**
 * @author by PIG
 * 2023/10/30 09
 */
public interface QualityOpinionService {

    Map<String, Object> createQualityOpinion(QualityOpinionInVO entity);

    PageResult<QualityOpinionInVO> selectInOpinionPageByEntity(int pageNum, int pageSize, int pageType, JSONObject queryParams);

    QualityOpinionInVO selectInOpinionById(Long fid);

    int updateInOpinion(QualityOpinionInVO entity);

    ResponseWrapper changeQualityOpinionNode(String ysbgbh);

    /**
     * 根据验收报告编号查询 入库验收质检意见
     * @param ysbgbh y
     * @return
     */
    QualityOpinionInVO selectInOpinionByYsbgbh(String ysbgbh);

    int updateOutOpinion(QualityOpinionOutVO entity);

    PageResult<QualityOpinionOutVO> selectOutOpinionPageByEntity(int pageNum, int pageSize, int pageType, JSONObject queryParams);

    QualityOpinionOutVO selectOutOpinionById(Long fid);

}
